extends Resource
class_name NodeInteractableBase

@export var name: String = "Base Name";
@export_multiline var description: String = "Here is a description. Lorem Ipsum...";

# Add icon texture probably

@export var act: QueuableAction;

func action() -> void:
	act.action();
